%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/schollz/closestmatch
Version:                2.1.0

%gometa

%global common_description %{expand:
Golang library for fuzzy matching within a set of strings :page_with_curl:.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Golang library for fuzzy matching within a set of strings :page_with_curl:

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
